I have a server currently running NW65SP4, where I was contemplating
installing ZDM 7. We are a small site with only 3 servers, only one of
which is new enough to support ZDM7 (other two are Netware 5.x).
Currently this server is running NetStorage.

The way I read the ZDM installation docs, it seems that ZDM7 middle tier
and NetStorage middle tier cannot be installed on the same server, since
the version of middle tier software is different. Hence, if I would
install Zen middle tier onto my existing server, it would break
NetStorage. Correct?

Toomas Aas